Subject: [Pce] Adoption of draft-sivabalan-pce-lsp-setup-type-02.txt as a PCE WG Document

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 14 Sep 2014 10:06:24 +0000

Dear WG,

We had several discussions showing a good consensus adopting draft-sivabalan-pce-lsp-setup-type-02.txt and this work
has considerably progressed in other WG.

Are you in favor of adopting draft-sivabalan-pce-lsp-setup-type-02.txt as a PCE WG document ?

Thanks.

JP and Julien.

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 15 Sep 2014 04:17:57 +0000

Support!

Thanks

Regards Š Zafar

-----Original Message-----
From: "JP Vasseur   (jvasseur)" <[email-masked]>
Date: Sunday, September 14, 2014 6:06 AM
To: "[email-masked]" <[email-masked]>
Subject: [Pce] Adoption of draft-sivabalan-pce-lsp-setup-type-02.txt as a
PCE WG Document

>Dear WG,
>
>We had several discussions showing a good consensus adopting
>draft-sivabalan-pce-lsp-setup-type-02.txt and this work

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Mon, 15 Sep 2014 13:55:58 +0000

Support.

Thanks,
Rakesh

---

From: <[email-masked]>
Date: Mon, 15 Sep 2014 15:10:33 +0000

Support

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of Rakesh Gandhi (rgandhi)
Sent: Monday, September 15, 2014 15:56
To: JP Vasseur (jvasseur); [email-masked]
Subject: Re: [Pce] Adoption of draft-sivabalan-pce-lsp-setup-type-02.txt as a PCE WG Document

Support.

Thanks,
Rakesh

On 2014-09-14 6:06 AM, "JP Vasseur (jvasseur)" <[email-masked]> wrote:

>draft-sivabalan-pce-lsp-setup-type-02.txt and this work has 
>considerably progressed in other WG.
>

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Ina Minei <[email-masked]>
Date: Mon, 15 Sep 2014 09:01:55 -0700

support as co-author.

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 15 Sep 2014 19:09:34 +0000

Yes/support

Cheers,
Jeff

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 15 Sep 2014 23:43:10 +0200

Support

Best,
r.

---

From: Jonathan Hardwick <[email-masked]>
Date: Tue, 16 Sep 2014 09:20:40 +0000

Yes, I'm in favour of adopting this.
Jon

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 14 September 2014 11:06
To: [email-masked]
Subject: [Pce] Adoption of draft-sivabalan-pce-lsp-setup-type-02.txt as a PCE WG Document

Dear WG,

Thanks.

JP and Julien.

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Tue, 16 Sep 2014 13:30:38 +0000

support.

s.

---

From: Uma Chunduri <[email-masked]>
Date: Tue, 16 Sep 2014 18:07:30 +0000

Yes/Support.

Have comments and will send later.

--
Uma C.

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: Sunday, September 14, 2014 3:06 AM
To: [email-masked]
Subject: [Pce] Adoption of draft-sivabalan-pce-lsp-setup-type-02.txt as a PCE WG Document

Dear WG,

We had several discussions showing a good consensus adopting draft-sivabalan-pce-lsp-setup-type-02.txt and this work has considerably progressed in other WG.

Thanks.

JP and Julien.

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 17 Sep 2014 09:19:34 +0000

Support, have following suggestions. 

Sec 3.  Path Setup Type TLV
    
   The one octet value contains the Path Setup Type
   (PST).  This document specifies the following PST value:

   o  PST = 0: Path is setup via RSVP-TE signaling protocol(default).

Can some PST value be reserved for experimental or private use for future experiments?
   
   If a PCEP speaker does not recognize the PATH-SETUP-TYPE TLV, it MUST
   ignore the TLV in accordance with ([RFC5440]).  

Along with the unrecognizable TLV type, we should also state the behavior for unrecognized PST value (for future documents that define new PST). It is better if this is uniform across PST and defined in this document itself. 

Sec 4.  Operation

   Regardless of whether PATH-SETUP-TYPE TLV is used or not, if the PCE
   does not support the intended path setup type it MUST send PCErr with
   Error-Type = TBD (Traffic engineering path setup error) (recommended
   value is 21) and Error-Value = 1 (Unsupported path setup type) and
   close the PCEP session.

On the first read closing the session seems harsh, but since open message MUST exchange the capability of supporting new path setup type, this seems fine. Maybe a few lines to explain the rationale can be added. Something in line of... 

   "Before using the PATH-SETUP-TYPE (other than default), the PCEP speaker
   MUST notify the capability to support the new path setup type during 
   the session establishment phase. Only if both PCEP peers support the
   capability the PATH-SETUP-TYPE TLV with new PST be used. "
 
Editorial Nits
- Expand RSVP-TE, PCEP on first use in abstract 

Hope the authors find these useful.

Regards,
Dhruv

> Sent: 14 September 2014 18:06
> To: [email-masked]
> We had several discussions showing a good consensus adopting draft-sivabalan-
> pce-lsp-setup-type-02.txt and this work has considerably progressed in other
> WG.
>

---

From: Durgaprasad Gangisetti <[email-masked]>
Date: Wed, 17 Sep 2014 07:44:06 -0700

Support.

Brgds,DG
" I've had good seasons and some deeply painful ones. I've made some spectacularly good choices and some outrageously bad mistakes. I'm very human - a work in progress".  - Robin Sharma
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

--------------------------------------------
On Mon, 9/15/14, Zafar Ali (zali) <[email-masked]> wrote:

 Subject: Re: [Pce] Adoption of draft-sivabalan-pce-lsp-setup-type-02.txt as a PCE WG Document
 To: "JP Vasseur (jvasseur)" <[email-masked]>, "[email-masked]" <[email-masked]>
 Date: Monday, September 15, 2014, 12:17 AM
 
 Support!
 
 Thanks
 
 Regards Š Zafar

 -----Original Message-----
 From: "JP Vasseur   (jvasseur)" <[email-masked]>
 Date: Sunday, September 14, 2014 6:06 AM
 To: "[email-masked]" <[email-masked]>
 Subject: [Pce] Adoption of
 draft-sivabalan-pce-lsp-setup-type-02.txt as a
 PCE WG Document
 
 >Are you in favor of adopting
 draft-sivabalan-pce-lsp-setup-type-02.txt as
 >a PCE WG document ?

---

From: Ramana Yarlagadda <[email-masked]>
Date: Wed, 17 Sep 2014 15:01:30 +0000

Hi,

A noticed a minor discrepancy of Flags definition between the draft-ietf-pce-pce-initiated-lsp-01
And ietf-pce-stateful-pce

Referring sec 5.3.1 of pce-pce-initiated-lsp-01, following is the definition of Create flag. And has
Only two bits assigned for operational state. 

But the definition of the Flags has 3 bits for operational state in section 7.3. of ietf-pce-stateful-pce.

5.3.1.  The Create flag

   The LSP object is defined in [I-D.ietf-pce-stateful-pce] and included
   here for easy reference.

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                PLSP-ID                |   Flags |C|  O|A|R|S|D|
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     //                        TLVs                                 //
     |                                                               |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

-regards
-ramana

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 18 Sep 2014 20:50:35 +0000

Dear WG,

There is a clear consensus: authors please resubmit as draft-ietf-pce-lsp-setup-type-00.txt, with no
other change than title, date.

Thanks.

JP.

Begin forwarded message:

> Date: September 14, 2014 at 12:06:24 PM GMT+2

---

From: Ina Minei <[email-masked]>
Date: Thu, 18 Sep 2014 14:38:57 -0700

Thank you for catching this, we had fixed this in the base draft and not
the initiation one, will be fixed in the next revision.

Ina

---

From: Mohan Nanduri <[email-masked]>
Date: Mon, 22 Sep 2014 18:41:03 -0400

Support.

Cheers,
-Mohan